POSTgetVoteAccounts

Returns the current Solana version running on the node

Request Body
jsonrpcstringrequired
idintegerrequired
methodstringrequired
commitmentstring (enum)

The commitment describes how finalized a block is at that point in time.

  • finalized - the node will query the most recent block confirmed by supermajority of the cluster as having reached maximum lockout, meaning the cluster has recognized this block as finalized
  • confirmed - the node will query the most recent block that has been voted on by supermajority of the cluster.
  • processed - the node will query its most recent block. Note that the block may still be skipped by the cluster.
votePubkeystring

Only return results for this validator vote address (base-58 encoded)

keepUnstakedDelinquentsboolean

Do not filter out delinquent validators with no stake

delinquentSlotDistanceinteger

Specify the number of slots behind the tip that a validator must fall to be considered delinquent. NOTE: For the sake of consistency between ecosystem products, it is not recommended that this argument be specified.

Responses
idinteger

The request ID

jsonrpcstring

The JSON-RPC version

currentobject[]

Array of all vote accounts currently participating in the validator set

activatedStakeinteger

The stake, in lamports, delegated to this vote account and active in this epoch

commissioninteger

Percentage (0-100) of rewards payout owed to the vote account

epochCreditsinteger[][]

Latest history of earned credits for up to five epochs, as an array of arrays containing: [epoch, credits, previousCredits]

epochVoteAccountboolean

Whether the vote account is staked for this epoch

lastVoteinteger

Most recent slot voted on by this vote account

nodePubkeystring

Validator identity, as base-58 encoded string

rootSlotinteger

Current root slot for this vote account

votePubkeystring

Vote account address, as base-58 encoded string

delinquentobject[]

Array of all vote accounts that are delinquent

activatedStakeinteger

The stake, in lamports, delegated to this vote account and active in this epoch

commissioninteger

Percentage (0-100) of rewards payout owed to the vote account

epochCreditsinteger[][]

Latest history of earned credits for up to five epochs, as an array of arrays containing: [epoch, credits, previousCredits]

epochVoteAccountboolean

Whether the vote account is staked for this epoch

lastVoteinteger

Most recent slot voted on by this vote account

nodePubkeystring

Validator identity, as base-58 encoded string

rootSlotinteger

Current root slot for this vote account

votePubkeystring

Vote account address, as base-58 encoded string

X-API-KEY
RequestCU20
cURL
curl -X POST "https://solana-mainnet.nodit.io/" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "getVoteAccounts",
  "params": [
    {
      "commitment": "finalized",
      "votePubkey": "i7NyKBMJCA9bLM2nsGyAGCKHECuR2L5eh4GqFciuwNT"
    }
  ]
}'
Response
Example · 200
{
  "jsonrpc": "2.0",
  "result": {
    "current": [
      {
        "activatedStake": 38363352618301510,
        "commission": 95,
        "epochCredits": [
          [
            934,
            1603998845,
            1597086973
          ],
          [
            935,
            1610910636,
            1603998845
          ],
          [
            936,
            1617822620,
            1610910636
          ],
          [
            937,
            1624734345,
            1617822620
          ],
          [
            938,
            1627258041,
            1624734345
          ]
        ],
        "epochVoteAccount": true,
        "lastVote": 405373729,
        "nodePubkey": "dv2eQHeP4RFrJZ6UeiZWoc3XTtmtZCUKxxCApCDcRNV",
        "rootSlot": 405373698,
        "votePubkey": "i7NyKBMJCA9bLM2nsGyAGCKHECuR2L5eh4GqFciuwNT"
      }
    ],
    "delinquent": []
  },
  "id": 1
}